Y desde GNU/Linux...
  • Hola


    (Creo que) he subido un álbum con el JamLoader. Tengo Debian GNU/Linux y la tarea ha sido más larga y penosa que lo que esperaba. Os explico. Tengo las canciones en OGG por lo cual pensé "perfecto, las subo del tirón". Pero no:

    • Primero, el software funciona sobre W$, así que a correr el Wine, cruzo los dedos, funciona... bien, prueba superada.
    • Segundo, sin embargo, hay que subir los archivos añadiendo los .WAV o extrayéndolos desde un CD. Lo de extraer desde un CD, parece que no detecta el CD -por aquello de que es Wine, supongo. Lo de añadir los .WAV, tuve que ir uno a uno...
    • Claro, los archivos .WAV ocupan mucho y tardó... mucho :/

    No podría haber un sistema más sencillo que funcionara con GNU/Linux y desde el que pudieras subir los .OGG?


    Ahora está el álbum a la espera de aprobación, espero que disfrutéis de él en breve :)

  • me parece que este tipo de propuestas las deberías de proponer en los foros en inglés ....... no creo q se le ponga mucha atención a los foros en español... aunque quien sabe. alo mejor sí..
  • Hola:

    aquí: https://sourceforge.net/project/showfiles.php?group_id=127180&package_id=147355 puedes encontrar el código fuente (en archivo .zip). El él hay un archivo README.Linux.txt, en donde salen las instrucciones complicadícimas de las dependencias y de cómo ejecutarlo. Uf! pero que difícil las instrucciones.

    Es un sarcasmo por si acaso. Es un escript en Python, nada del otro mundo.

    Tirón de orejas en todo caso porque la información estaban en la página http://www.jamendo.com/es/static/jamendotools_jamloader/

    Un saludo y que te vaya bien.
  • Gracias, negrolder por la información, pero antes de contestar así a otr@, tómate una tila o un poco de bicarbonato ;)

    Hace ya tanto tiempo de esto (noviembre de 2006) que no recuerdo ni si había una dirección con las fuentes. Aunque lo celebro, no estaría de más algo con GTK, ¿no?

    Saludos
  • jajajaja tienes razón, lo siento.

    Lo de gtk... habría que hablar con los que hacen lo programas. Yo soy más bien kdero. Pero igual, cuando una app es buena da lo mismo en qué esté hecho. Con todo lo fanático que soy de kde, para editar mis videos caseros para hacer dvd's no suelto Kino (que es GTK).

    Un abrazo bro.
  • Bueno, el que esté en Qt no le quita mérito, pero sí el código tallarín. Es un lío seguir la lógica del archivo principal.
  • Pensarás que soy presuntuoso pero... no entendí, clbustos.
  • Jajaja.
    Bueno, lo que quise decir fue que la aplicación está escrita en Qt4, lo que no es malo, pero que la programación está muy enredada y difícil de seguir. Por ejemplo, al tratar de arreglar el problema que tenía con los archivos en FLAC, si bien encontré la sección de código que lo hacía, estaba muy mal diseñado, así que no supe como modificar la programación para que hiciera bien el proceso.
  • Para los linuxeros => https://launchpad.net/pyjama :bigsmile:
  • Estimado Palmax

    Parece interesante. Yo uso ArchLinux, trataré de probarlo en breve y te pondré aquí mis comentarios.

    Saludos. David.
  • Voy a estar especialmente atento a este hilo porque me interesa. Utilizo Ubuntu habitualmente para Internet, así que tomaré nota de lo que decís y cuando llegue el momento os comento mis impresiones de las diferentes maneras de subir temas aquí.

    Gracias a todos.
  • Pyjama me da un error segfault, tanto la ultima version estable como la experimental

    Es una pena porque tiene buena pinta.

    ** Message: pygobject_register_sinkfunc is deprecated (GtkWindow)
    ** Message: pygobject_register_sinkfunc is deprecated (GtkInvisible)
    ** Message: pygobject_register_sinkfunc is deprecated (GtkObject)
    ** Message: pygobject_register_sinkfunc is deprecated (GstObject)
    forcing update - no database found

    (pyjama:2792): Gnome-WARNING **: Accessibility: failed to find module 'libgail-gnome' which is needed to make this application accessible

    (pyjama:2792): Gnome-WARNING **: Accessibility: failed to find module 'libatk-bridge' which is needed to make this application accessible
    PYJAMA FOUND IN /usr/share/apps/pyjama
    Loading modules
    ------------------------------ ------------------------------
    Found Plugins in folder: /usr/share/apps/pyjama/plugins/
    !!! torrent-peer found in 'hardcoded_blacklist'
    ** Message: pygobject_register_sinkfunc is deprecated (GtkWindow)
    ** Message: pygobject_register_sinkfunc is deprecated (GtkInvisible)
    ** Message: pygobject_register_sinkfunc is deprecated (GtkObject)
    Plugin 'Multimedia Hotkeys' V0.1.1 (mmhotkeys) loaded
    Plugin 'Database Search' V0.3.1 (search) loaded
    Plugin 'Pyjama Version Control' V0.1 (PVC) loaded
    Plugin 'Plugin Example' V0.1 (example) loaded
    Plugin 'last.fm plugin' V0.1 (lastfm) loaded
    Plugin 'libre.fm plugin' V0.1 (librefm) loaded
    Plugin 'Now playing notification' V0.1 (nowplaying) loaded
    Plugin 'Radios' V0.1 (radios) loaded
    Plugin 'Artist Browser' V0.1 (artist_browser) loaded
    Plugin 'Jamlist' V0.3 (jamlists) loaded
    Plugin 'Random Playback' V0.3 (randomplayback) loaded
    Plugin 'Jamendo Query Indicator' V0.1 (jam_query) loaded
    Plugin 'Listen Statistics' V0.4 (listenstats) loaded
    Plugin 'Rating' V0.2 (rating) loaded
    Plugin 'Lyrics' V0.1 (lyrics) loaded
    Plugin 'Starred Albums' V0.4 (starred_albums) loaded
    Plugin 'Dowload GUI' V0.2 (downloadGUI) loaded
    Violación de segmento